Browse Source

Add missing optional dependencies to ensure-twine

Avoids potential twine execution cause by:
https://github.com/pypa/readme_renderer/issues/128

Resolves:
UserWarning: Markdown renderers are not available.
Install 'readme_render[md]' to enable Markdown rendering.

Example:
http://logs.openstack.org/25/613725/1/check/test-release-openstack-python3/df34317/job-output.txt.gz

Change-Id: Iaf4da5aedaa3814b2ecebed4391da2324d3e388d
changes/26/613726/4
Sorin Sbarnea 6 months ago
parent
commit
a17765ca4f
1 changed files with 1 additions and 1 deletions
  1. 1
    1
      roles/ensure-twine/tasks/main.yaml

+ 1
- 1
roles/ensure-twine/tasks/main.yaml View File

@@ -11,7 +11,7 @@
11 11
 - name: Ensure twine is installed
12 12
   block:
13 13
     - name: Ensure twine is installed
14
-      command: pip install twine!=1.12.0 --user
14
+      command: pip install twine!=1.12.0 readme_renderer[md]!=23.0 --user
15 15
 
16 16
     - name: Set pypi_twine_executable
17 17
       set_fact:

Loading…
Cancel
Save